#!/bin/sh
#
# (c) Copyright 2014,
# National Instruments Corporation.
# All rights reserved.
#
# File: nirioiInstallerUtility.sh
#
#   This utility script provides installation functions for the
#   nirioi installer.  Each function is meant to execute at the
#   specified time (preInstall) in order to properly install the package.
#   Without calling these functions the package is not completely installed.
#   The INSTALL script provided with the distribution calls these functions.
#

nirioDir="`cat /etc/natinst/nirio/nirio.dir`"
nirioiVersion=13.1.1f0
statusSuccess=0
statusSuccessReboot=1
statusFail=2

nirioiPreInstall()
{
   return $statusSuccess
}


nirioiPostInstall64()
{
   "`cat /etc/natinst/nikal/nikal.dir`"/bin/nikalKernelInstaller.sh -d nirio -i "$nirioDir"/src/objects64/NiRioSrv-unversioned.o
   return $statusSuccess
}


nirioiPreUninstall64()
{
   "`cat /etc/natinst/nikal/nikal.dir`"/bin/nikalKernelInstaller.sh -d nirio -r "$nirioDir"/src/objects64/NiRioSrv-unversioned.o
   return $statusSuccess
}


nirioiPostUninstall64()
{
   return $statusSuccess
}

